#right_slice{
    width:100%;
    height:100vh;
    overflow: auto;
}

#right_slice .contentti {
    display: flex;
    width:100%;
    height: auto;
    flex-direction: column;
    padding: 15px 5%;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
}

#right_slice .contentti #wrap_all_images{
    display: flex;
    flex-direction: column;
        
}

#right_slice .contentti #wrap_all_images .wrap {
    display: flex;
    width:100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap:5px;
        
}

#right_slice .contentti #wrap_all_images .wrap h5{
    font-size: min(25px, 4vw);
    color:#AAD7E3;
    font-weight: 800;
    margin: 20px 0px;
}

#right_slice .contentti #wrap_all_images .wrap p{
    font-size: min(12px, 2.3vw);
    color:#DBE4E6;
    font-weight: 300;
    margin: 5px 0px 25px 0px;
}

#right_slice .contentti #wrap_all_images .wrap #tuotekategoriat{
    display: flex;
    width:100%;
    max-width: 1000px;
    height: auto;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding:5px 0px 25px 0px;
    gap:3px;
}

#right_slice .contentti #wrap_all_images .wrap #tuotekategoriat button.btso {
    display: flex;
    flex-direction: row;
    border-radius: 50px;
    width: auto;
    height:30px;
    margin:0px 0px 0px 0px;
    line-height: 30px;
    font-size:13px;
    box-sizing: border-box;
    background-color:rgba(73,73,73,0.5);
    color:white;
    box-shadow: inset 0px -16px 3px rgba(67,76,173,0.90);
    padding: 0px 20px;
    border: 1px solid rgba(14,14,14,1.00)
}

#right_slice .contentti #wrap_all_images .wrap #tuotekategoriat button.drinks {
    background-color: rgba(2,118,18,1.00);
}
#right_slice .contentti #wrap_all_images .wrap #tuotekategoriat button.foods {
    background-color: rgba(7,7,116,1.00);
}


#right_slice .contentti #oioi{
    display: flex;
    padding: 12px 22px;
    border: 1px double rgba(122,122,122,0.5);
    width: 100%;
    max-width: 1000px;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    border-radius: 50px;
    gap: 2px 10px;
    text-align: center;
}

#right_slice .contentti #oioi button{
    width:100%;
    box-shadow: inset 0px -10px 5px rgba(41,104,146,1.00);
}

#hinnastoslides{
    display:flex;
    width:100%;
    height: auto;
    align-items: center;
    justify-content: center;
    margin: 20px auto;
    flex-wrap: wrap;
    flex-direction: row;
    gap:5px 10px;
    padding: 10px 0px;
    box-sizing: border-box;
}

#hinnastoslides .slide {
    position: relative;
    display: flex;
    width:240px;
    height:auto;
    align-self: stretch;
    padding: 10px;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
    background-color: rgba(87,87,87,0.83);
    border-radius: 20px;
    border:1px solid rgba(99,99,99,1.0);
}

#hinnastoslides .slide .removebtn{
    position: absolute;
    top:0px;
    right:0px;
    padding: 0px 12px;
    height:25px;
    font-size: 12px;
    font-weight: 300;
    line-height: 25px;
    translate: -10px 0px;
    
}

#hinnastoslides input[name='dia']{display:none; }

#hinnastoslides input[name='dia']:checked + .slide {
    border:1px solid yellow;    
}

#hinnastoslides .slide img.pysty {
    width: 100%;
    height:auto;
    transform: scale(0.65) rotate(270deg);
    aspect-ratio: 16/9;
}

#hinnastoslides .slide img.vaaka {
    width: 100%;
    height:auto;
    aspect-ratio: 16/9;
}

#hinnastoslides .slide .opts {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width:100%;
    height:auto;
    padding:10px 0px;
    box-sizing: border-box;
    gap:3px;
}

#hinnastoslides .slide .opts .bt {
    display:flex;
    width:auto;
    height:25px;
    line-height: 25px;
    font-size:14px;
    padding: 0px 14px;
    background-color:royalblue;
    color:white;
    border-radius: 15px;
    cursor: pointer;
}


#right_slice .contentti  #wrap_all_images textarea {
    padding: 20px 10px;
    box-sizing:border-box;
    margin: 5px 0px;
}